package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysetting.dto;

import cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysetting.vo.DetermineHolidayBalanceSettingSwitchVO;
import cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysetting.vo.PersonnelChangesVO;
import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidaybalancesetting.HolidayBalanceSettingDO;
import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidaysetting.HolidaySettingDO;
import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidaysettingrange.HolidaySettingRangeDO;
import cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidayworkingage.HolidayWorkingAgeDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
public class RecalculateAssignedDTO {
    @Schema(description = "假期设置")
    private HolidaySettingDO holidaySetting;
    @Schema(description = "假期余额设置")
    private HolidayBalanceSettingDO holidayBalanceSetting;
    @Schema(description = "假期额度工龄配置")
    private List<HolidayWorkingAgeDO> holidayWorkingAges;
    @Schema(description = "人员范围")
    private PersonnelChangesVO personnelChangesVO;
    @Schema(description = "变动")
    private DetermineHolidayBalanceSettingSwitchVO determineHolidayBalanceSettingSwitchVO;
}
