package cn.iocoder.yudao.module.system.controller.admin.packagingtoolstable.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 木托绑带资产 （excel 临时表） Response VO")
@Data
@ExcelIgnoreUnannotated
public class PackagingToolsTableRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28645")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "名称", example = "王五")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "规格")
    @ExcelProperty("规格")
    private String sku;

    @Schema(description = "单位")
    @ExcelProperty("单位")
    private String unit;

    @Schema(description = "总数")
    @ExcelProperty("总数")
    private Integer totalNum;

    @Schema(description = "工厂名称", example = "赵六")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remake;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}