package cn.iocoder.yudao.module.system.controller.admin.rental.vo.itemsrecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 租赁物品记录 Response VO")
@Data
public class RentalItemsRecordRespVO {

    @Schema(description = "租赁订单表单主键")
    private Long id;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "租赁物品种类 | 字典值参考 system_rental_items_type")
    private Integer rentalItemsType;

    @Schema(description = "租赁数量")
    private Integer number;

    @Schema(description = "类型 | 1租借 2归还")
    private Integer type;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

}