package cn.iocoder.yudao.module.system.service.auth;

import cn.iocoder.yudao.module.system.dal.dataobject.auth.AdminWxMpInfoDO;

/**
 * 微信公众号用户信息表(用户暂存没有注册用户的关注信息) Service 接口
 *
 * @author 艾楷
 */
public interface AdminWxMpInfoService {

    /**
     * 新增
     *
     * @param adminWxMpInfoDO
     */
    void save(AdminWxMpInfoDO adminWxMpInfoDO);

    /**
     * 删除
     *
     * @param appId
     * @param unionId
     */
    void del(String appId, String unionId);

    /**
     * 查询
     *
     * @param wxMpAppId
     * @param unionId
     * @return
     */
    AdminWxMpInfoDO getByCondition(String wxMpAppId, String unionId);
}
