package cn.iocoder.yudao.module.smartfactory.api.factoryforklift.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class FactoryForkliftDTO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25769")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1056")
    private Long factoryId;

    @Schema(description = "部门id", example = "23631")
    private Long deptId;

    @Schema(description = "叉车名称", example = "芋艿")
    private String name;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "设备代码")
    private String equipmentCode;

    @Schema(description = "出厂编号")
    private String serialNo;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "车牌")
    private String licensePlate;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "用途类型 根据字典值来匹配", example = "1")
    private Integer useType;

    @Schema(description = "备注", example = "1")
    private String remark;

}
