package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo;

import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo.HandlingGroupAmountSpecificationsBatchCreateItemVO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@ExcelIgnoreUnannotated
public class HandlingGroupListVO {
    @Schema(description = "搬运组id", example = "27617")
    private Long handlingGroupId;

    @Schema(description = "叉车司机id", example = "27617")
    private Long staffId;

    @Schema(description = "规格/数量列表")
    private List<HandlingGroupAmountSpecificationsBatchCreateItemVO> itemList;
}
