package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 搬运组 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HandlingGroupRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9657")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5268")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "5268")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "搬运组名称", example = "芋艿")
    @ExcelProperty("搬运组名称")
    private String handlingGroupName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
