package cn.iocoder.yudao.module.smartfactory.dal.dataobject.attendance;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 厂区员工考勤审核表 DO
 *
 * @author 符溶馨
 */
@TableName("sf_attendance_review")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SfAttendanceReviewDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 考勤月份
     */
    private String month;
    /**
     * 审核状态 | 0未审核 1已审核
     */
    private Integer status;
}
