package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.assetClaim;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAAssetClaimItemDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 现金支出 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAAssetClaimRespVO extends BpmOABaseRespVO {

    @Schema(description = "申领明细")
    private List<BpmOAAssetClaimItemDO> receive;

    @Schema(description = "申请原因")
    private String reason;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
