package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.contract;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 合同产品关联 Response VO")
@Data
public class CrmContractProductVO {

    @Schema(description = "合同编号")
    private Long contractId;

    @Schema(description = "产品编号")
    private Long productId;

    @Schema(description = "产品名称")
    private String name;

    @Schema(description = "产品属性")
    private String productAttrUnique;

    @Schema(description = "产品单价")
    private BigDecimal price;

    @Schema(description = "数量")
    private Integer nums;

    @Schema(description = "折扣")
    private BigDecimal discount;

    @Schema(description = "小计")
    private BigDecimal subtotal;

    @Schema(description = "备注")
    private String remarks;
}
