package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.replacementCard;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 补卡明细 Response VO")
@Data
public class ReplacementCardItemVO {

    @Schema(description = "用卡缺卡记录编号")
    private Long punchRecordId;

    @Schema(description = "缺卡日期")
    private String dayTime;

    @Schema(description = "上下班类型 0上班 1下班")
    private Integer workType;

    @Schema(description = "打卡状态 0正常 1迟到 2早退 3缺卡 4未打卡(还没到打卡时间) 5补卡")
    private Integer status;

    @Schema(description = "补卡事由")
    private String reason;
}
