package cn.iocoder.yudao.module.hrm.controller.admin.definition;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - hrm管理demo")
@RestController
@RequestMapping("/hrm/damo")
@Validated
public class HrmTestController {
    @GetMapping("/test")
    @Operation(summary = "测试案例", description = "测试案例")
    public CommonResult<String> test() {
        return success("你好");
    }
}
