package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 收款明细 Response VO")
@Data
public class PaymentItem {

    @Schema(description = "收款方 | 1公司 2个人")
    private Integer payee;

    @Schema(description = "收款金额")
    private BigDecimal amount;

    @Schema(description = "收款日期")
    @DateTimeFormat("yyyy-MM-dd")
    private String paymentDate;
}
