package cn.iocoder.yudao.module.system.controller.admin.customersettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 客户结算信息统计 Response VO")
@Data
public class StatisticsVO {

    @Schema(description = "预结算金额")
    private BigDecimal preSettlementTotal;

    @Schema(description = "应结算金额")
    private BigDecimal shouldSettlementTotal;

    @Schema(description = "扣款金额")
    private BigDecimal deductionTotal;

    @Schema(description = "结算金额")
    private BigDecimal settlementTotal;

    @Schema(description = "已收款金额")
    private BigDecimal receivedTotal;
}
