package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class HolidayUserValuePageVO {
    @Schema(description = "用户id", example = "15129")
    private Long userId;

    @Schema(description = "假期类型列表 key 为下表 value为值(其中有两个对象一个为具体假期的id(可能为null) 一个为当前用户对应假期的余额)", example = "22544")
    private Map<Integer, HolidayUserMapVO> listOfHolidayTypes = new HashMap<>();
}
