package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuserrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class HolidayUserRecordSaveReqVO {

    @Schema(description = "用户id", example = "18256")
    private Long userId;

    @Schema(description = "假期设置id", example = "25199")
    private Long holidaySettingId;

    @Schema(description = "操作方向 0新增 1减去")
    private Integer direction;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "原因", example = "原因")
    private String reason;
}
