package cn.iocoder.yudao.module.system.controller.admin.hr.vo.payslip;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 工资条详情 Response VO")
@Data
public class PayslipDetail {

    @Schema(description = "编码")
    private String code;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "值")
    private Object value;

    /**
     * 子数据
     */
    private List<PayslipDetail> children;
}
