package cn.iocoder.yudao.module.system.dal.mysql.workovertime;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeRulePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeRuleDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 加班规则 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface WorkOvertimeRuleMapper extends BaseMapperX<WorkOvertimeRuleDO> {

    /**
     * 分页获取加班规则
     *
     * @param vo
     * @param page
     * @return
     */
    IPage<WorkOvertimeRuleDO> getWorkOvertimeRulePage(@Param("vo") WorkOvertimeRulePageReqVO vo, @Param("page") Page page);
}
