package cn.iocoder.yudao.module.smartfactory.api.staffSalary;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.smartfactory.service.staffsalary.StaffSalaryService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Collection;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class StaffSalaryApiImpl implements StaffSalaryApi {

    @Resource
    private StaffSalaryService staffSalaryService;

    @Override
    public CommonResult<Boolean> updateIsGrant(Collection<Long> ids, Integer isGrant) {
        staffSalaryService.updateIsGrant(ids, isGrant);
        return success(true);
    }
}
