package cn.iocoder.yudao.module.smartfactory.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 厂区员工考勤记录 Request VO")
@Data
@ToString(callSuper = true)
public class StaffAttendanceRecordReqVO {

    @Schema(description = "用户编号", example = "146")
    private Long staffId;

    @Schema(description = "工厂id")
    private Long factoryId;

    @Schema(description = "考勤月份", example = "2025-11")
    private String month;

    @Schema(description = "考勤方式 | 1.正常月份 2.25号开始计算至下个月24号", example = "1")
    private Integer type;
}