package cn.iocoder.yudao.module.smartfactory.controller.admin.factorykiln.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工厂窑炉新增/修改 Request VO")
@Data
public class FactoryKilnSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1055")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25583")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "产能")
    private BigDecimal capacity;

}
