package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 搬运组每日个人工资记录新增/修改 Request VO")
@Data
public class HandlingGroupUserAmountSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "17728")
    private Long id;

    @Schema(description = "用户id", example = "12639")
    private Long userId;

    @Schema(description = "工厂id", example = "12639")
    private Long factoryId;

    @Schema(description = "搬运组id", example = "12639")
    private Long handlingGroupId;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    private String dateStr;

    @Schema(description = "搬运组每日个人工资")
    private BigDecimal amount;

}
